Skip to content

# Interface: ProtocolHandlerRegistration

ProtocolHandlerRegistration is the data required for an extension to register a handler to a specific path or dynamic path.

## Hierarchy

- ProtocolHandlerRegistration

## Index

### Properties

- handler
- pathSchema

## Properties

### handler

• handler: RouteHandler

Defined in src/extensions/registries/protocol-handler-registry.ts:7

### pathSchema

• pathSchema: string

Defined in src/extensions/registries/protocol-handler-registry.ts:6